1. Fundaising Initiatives
Networked API Documentation
  • Getting Started
  • User Authentication
    • Add New Users to Community
      POST
    • Send email invites
      POST
  • User Profile
    • User Profile
      GET
    • Profile Visits
      GET
  • Community
    • Features
      • Feature List
    • Directory
      • Users List
      • Roles List
    • Monetization
      • Plans
        • Plans List
    • Feed
      • Polls
        • Create Polls
      • Surveys
        • Create Surveys
      • Post
        • Ask and offer help
          • Post Intro
          • Post Advice
          • Post Recommendation
          • Post Kudos
          • Post Help
        • Feed Post List
        • Post to Feed
        • Get Post Comments
        • Add Comments to Post
      • upload Media
    • Opportunities
      • Company and Services
        • Company and Services List
      • Fundaising Initiatives
        • Fundraising Initiatives List
          GET
      • Career Opportunities
        • Career Opportunities
    • Events
      • Event Post
      • Edit Events
      • Delete Event
      • Event List
    • Media Center
      • Get Resources
    • Analytics
      • Community Analytics
    • Newsletter
      • Lists
        • Get newsletter subscriber lists
      • Add newsletter subscribers
      • Get newsletter subscribers
    • Remove users from Space
      DELETE
    • Community Details
      GET
    • Spaces List
      GET
    • Add Users to Space
      POST
  • Webhooks
    • Members
      • User joined
      • User join request
      • User join request approved
      • User join request declined
      • User left
      • User unbanned
      • User role changed
      • User profile updated
      • User invited
      • User invite declined
      • User verified
      • User questions answered
      • User nominated
      • Feedback submitted
    • Spaces
      • Space created
      • Space updated
      • Space deleted
      • User joined space
      • User left space
    • Events
      • Event created
      • Event registered
      • Event updated
      • Event cancelled
      • Event registration updated
      • Event registration cancelled
      • Event starting soon
      • Event attended
      • Event ended
    • Feed
      • Post created
      • Post updated
      • Post deleted
      • Post liked
      • Post unliked
      • Comment added
      • Post reported
      • Post approval requested
      • Post approved
      • Post rejected
      • Post shared
      • Post pinned
      • Post unpinned
      • Post scheduled
      • Comment deleted
      • Comment liked
      • Comment unliked
      • Comment reported
      • Poll voted
      • Survey responded
      • Poll ended
    • Live video
      • Live started
      • Live ended
      • Live joined
      • Live left
      • Live recording ready
    • Courses
      • Course published
      • Course updated
      • Course unpublished
      • Course enrolled
      • Lesson completed
      • Quiz submitted
      • Course completed
    • Newsletter
      • Newsletter subscriber added
      • Newsletter subscriber removed
      • Newsletter sent
      • Newsletter email opened
      • Newsletter email clicked
      • Newsletter email bounced
      • Newsletter email complained
    • Payments
      • Monetization subscription created
      • Monetization subscription renewed
      • Monetization subscription changed
      • Monetization subscription cancel scheduled
      • Monetization subscription resumed
      • Monetization subscription cancelled
      • Monetization payment failed
      • Monetization purchase completed
      • Monetization checkout abandoned
      • Monetization refund requested
      • Monetization refund issued
      • Offer reviewed
      • Offer sold out
    • Opportunities
      • Opportunity created
      • Opportunity updated
      • Opportunity deleted
      • Opportunity applied
    • Media
      • Media added
      • Media updated
      • Media deleted
      • Media shared
      • Media downloaded
    • Community
      • Community updated
      • Community tokens low
      • Community tokens limit reached
      • Website page published
      • Community app published
      • Integration sync failed
    • Chat
      • Chat channel created
      • Chat message posted
  • References
    • Role Types
    • Media Types
    • Response Codes
    • Model Status
    • Post Types
  • Schemas
    • WebhookActor
    • WebhookChannel
    • WebhookComment
    • WebhookCourse
    • WebhookEvent
    • WebhookLiveSession
    • WebhookMedia
    • WebhookMember
    • WebhookNewsletter
    • WebhookOffer
    • WebhookOpportunity
    • WebhookPost
    • WebhookPurchase
    • WebhookRegistration
    • WebhookSpace
    • WebhookSubscriber
    • WebhookSubscription
    • WebhookEnvelope
  1. Fundaising Initiatives

Fundraising Initiatives List

GET
https://backend.networked.co/api/v1/oppurtunity/fundraising

💰 Get Fundraising Opportunities#

Fetches a list of fundraising opportunities based on pagination parameters.

HTTP Method:#

GET

Endpoint:#

/api/v1/oppurtunity/fundraising

Headers:#

NameTypeRequiredDescription
x-api-keyStringYesAPI key provided by the Networked Team.
spaceIdStringNoRequired only when fetching for a space. Defaults to community.

Query Parameters:#

NameTypeRequiredDescription
startNumberYesThe offset index to start fetching records.
countNumberYesThe number of records to fetch.

Body Parameters:#

None

Sample Response:#

{
  "data": {
    "count": 1,
    "start": 0,
    "nextStart": false,
    "contents": [
      {
        "user": {
          "id": "6787893423126f0012a92ed6",
          "name": "Spencer Johnson Spencer",
          "image": "https://ntwc-us-east-2-qa-eks-s3-files-storage.s3.us-east-2.amazonaws.com/user-6787893423126f0012a92ed6/file_1741258763688_image (25).png",
          "title": " Software Development Test Engineer WBC Community Test Engineer",
          "primaryCompany": "test",
          "location": "",
          "industries": ["Animation"]
        },
        "fundingDetails": {
          "id": "682fc8f10465d1001250c486",
          "fundraisingType": {
            "id": "5349b4ddd2781d06f0000001",
            "name": "Association",
            "description": "An association is a group or organization to which you may be united for a common interest or goal"
          },
          "companyName": "xcxzc",
          "companyAbout": "<p class=&#x27;preserveHtml&#x27; class=&#x27;preserveHtml&#x27; class=&#x27;preserveHtml&#x27; class=&#x27;preserveHtml&#x27; class=&#x27;preserveHtml&#x27; style=\"\">cxzc</p>",
          "companyAboutRichText": "[{\"type\":\"paragraph\",\"children\":[{\"text\":\"cxzc\"}]}]",
          "theAsk": "<p class=&#x27;preserveHtml&#x27; class=&#x27;preserveHtml&#x27; class=&#x27;preserveHtml&#x27; class=&#x27;preserveHtml&#x27; class=&#x27;preserveHtml&#x27; style=\"\">czxc</p>",
          "theAskRichText": "[{\"type\":\"paragraph\",\"children\":[{\"text\":\"czxc\"}]}]",
          "media": [],
          "timeStamp": 1747962097652,
          "isSpace": false,
          "community": "67959032bc6bea0012fdc671"
        }
      }
    ]
  },
  "error": false,
  "message": "Operation completed successfully"
}

Response Interface:#

interface FundraisingResponse {
  data: {
    count: number;
    start: number;
    nextStart: boolean;
    contents: {
      user: {
        id: string;
        name: string;
        image: string;
        title: string;
        primaryCompany: string;
        location: string;
        industries: string[];
      };
      fundingDetails: {
        id: string;
        fundraisingType: {
          id: string;
          name: string;
          description: string;
        };
        companyName: string;
        companyAbout: string;
        companyAboutRichText: string;
        theAsk: string;
        theAskRichText: string;
        media: any[];
        timeStamp: number;
        isSpace: boolean;
        community: string;
      };
    }[];
  };
  error: boolean;
  message: string;
}

Response Field Descriptions:#

NameTypeDescription
data.countNumberTotal number of results returned.
data.startNumberStarting index of the results.
data.nextStartBooleanIndicates if more results are available.
data.contentsArrayArray of fundraising opportunities.
userObjectInformation about the user.
user.idStringUnique identifier of the user.
user.nameStringFull name of the user.
user.imageStringURL to the user's profile image.
user.titleStringUser's professional title.
user.primaryCompanyStringName of the user's primary company.
user.locationStringUser's location.
user.industriesString[]List of industries the user is involved in.
fundingDetailsObjectDetails about the fundraising opportunity.
fundingDetails.idStringUnique identifier for the fundraising record.
fundraisingTypeObjectInformation about the type of fundraising.
fundraisingType.idStringUnique ID of the fundraising type.
fundraisingType.nameStringName of the fundraising type.
fundraisingType.descriptionStringDescription of the fundraising type.
companyNameStringName of the company raising funds.
companyAboutStringHTML content describing the company.
companyAboutRichTextStringJSON-rich text version of company description.
theAskStringHTML content of the fundraising ask.
theAskRichTextStringJSON-rich text version of the ask.
mediaArrayMedia files associated with the opportunity.
timeStampNumberTimestamp of when the opportunity was created.
isSpaceBooleanIndicates if this is a space listing.
communityStringID of the community this opportunity is associated with.

Reference:#

[🔗 ]Response Codes Documentation

Notes:#

Pagination through start and count helps retrieve large datasets efficiently.

Request

Query Params

Header Params

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://backend.networked.co/api/v1/oppurtunity/fundraising?start=0&count=10' \
--header 'x-api-key: <your-api-key>' \
--header 'spaceId: 1750824472000'
Response Response Example
{
    "data": {
        "count": 1,
        "start": 0,
        "nextStart": false,
        "contents": [
            {
                "user": {
                    "id": "6787893423126f0012a92ed6",
                    "name": "Spencer Johnson Spencer",
                    "image": "https://ntwc-us-east-2-qa-eks-s3-files-storage.s3.us-east-2.amazonaws.com/user-6787893423126f0012a92ed6/file_1741258763688_image%20%2825%29.png",
                    "title": " Software Development Test Engineer WBC Community Test Engineer",
                    "primaryCompany": "test",
                    "location": "",
                    "industries": [
                        "Animation"
                    ]
                },
                "fundingDetails": {
                    "id": "682fc8f10465d1001250c486",
                    "fundraisingType": {
                        "id": "5349b4ddd2781d06f0000001",
                        "name": "Association",
                        "description": "An association is a group or organization to which you may be united for a common interest or goal"
                    },
                    "companyName": "xcxzc",
                    "companyAbout": "<p style=\"\">cxzc</p>",
                    "companyAboutRichText": "[{\"type\":\"paragraph\",\"children\":[{\"text\":\"cxzc\"}]}]",
                    "theAsk": "<p style=\"\">czxc</p>",
                    "theAskRichText": "[{\"type\":\"paragraph\",\"children\":[{\"text\":\"czxc\"}]}]",
                    "media": [],
                    "timeStamp": 1747962097652,
                    "isSpace": false,
                    "community": "67959032bc6bea0012fdc671"
                }
            }
        ]
    },
    "error": false,
    "message": "Operation completed successfully"
}
Modified at 2026-05-15 11:52:29
Previous
Fundaising Initiatives
Next
Career Opportunities
Built with